%global version_major 8
%global apiversion %{version_major}
%global gittag %{name}%{version_major}_%{version}
%global ruby_path %(echo %{ruby_vendorlibdir} | sed -e 's|/usr/||g')

Name:           gz-gui
Version:        8.1.0
Release:        2%{?dist}
Summary:        Graphical interfaces for robotics applications

License:        Apache-2.0
URL:            https://gazebosim.org
Source0:        https://github.com/gazebosim/%{name}/archive/%{gittag}/%{name}-%{version}.tar.gz 
Patch0:         %{name}-8.1.0-installpaths.patch

BuildRequires:  cmake
BuildRequires:  cppzmq-devel
BuildRequires:  gcc-c++
BuildRequires:  gz-cmake-devel >= 3
BuildRequires:  gz-common-devel >= 5
BuildRequires:  gz-math-devel >= 7
BuildRequires:  gz-msgs-devel >= 10
BuildRequires:  gz-plugin-devel >= 2
BuildRequires:  gz-rendering-devel >= 8
BuildRequires:  gz-transport-devel >= 13
BuildRequires:  gz-utils-devel >= 2
BuildRequires:  libuuid-devel
BuildRequires:  make
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtquickcontrols2-devel
BuildRequires:  protobuf-devel
BuildRequires:  ruby-devel
BuildRequires:  tinyxml2-devel
# Documentation
BuildRequires:  doxygen


%description
Gazebo GUI builds on top of Qt to provide widgets which are useful when
developing robotics applications, such as a 3D view, plots, dashboard, etc, and
can be used together in a convenient unified interface.  Gazebo GUI ships with
several widgets ready to use and offers a plugin interface which can be used to
add custom widgets.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: gz-cmake-devel >= 3

%description devel
%{summary}

%prep
%autosetup -n %{name}-%{gittag} -Sgendiff -p1


%build
%cmake \
  -DCMAKE_BUILD_TYPE:STRING=Release \
  -DUSE_HOST_SSE_FLAGS:BOOL=OFF \
  -DRUBY_LIB_INSTALL_DIR:STRING=%{ruby_path} \
  -DSKIP_SWIG:BOOL=ON \
  -DSKIP_PYBIND11:BOOL=ON
%cmake_build


%install
%cmake_install
rm -f %{buildroot}%{_libdir}/%{name}-%{version_major}/plugins/libGrid3D.so

%check
%ctest || exit 0

%files
%license LICENSE
%{_datadir}/gz
%{_libdir}/*.so.%{version}
%{_libdir}/*.so.%{apiversion}
%{_libdir}/%{name}-%{version_major}
%{ruby_vendorlibdir}/gz

%files devel
%doc redhat-linux-build/doxygen/html
%{_libdir}/*.so
%{_libdir}/cmake/%{name}%{version_major}*
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/gz


%changelog
* Fri Apr 05 2024 Rich Mattes <richmattes@gmail.com> - 8.1.0-2
- Fix ruby tool path

* Wed Apr 03 2024 Rich Mattes <richmattes@gmail.com> - 8.1.0-1
- Initial package
